Webhook Notifications

Webhook notifications contain the metadata about the payloads sent to your webhook subscription endpoints. to.

Overview

There .


Search Notifications

GET/v1/webhook-subscriptions/{id}/notifications

Search for notifications sent to a specific webhook subscription.

Path Parameters

  • Name
    id
    Type
    string
    Required
    Type
    Description

    The unique ID of the webhook subscription.

Search Parameters

Request

GET
/v1/webhook-subscriptions/{id}/notifications
  curl -G https://api.flowbrite.io/v1/webhook-subscriptions/{id}/notifications \
  -H "X-API-KEY: {api_key}" \
  -d 'q=eventType=="payment.sent"' \
  -d "sortBy=createdOn:DESC" \
  -d "offset=0" \
  -d "limit=10"

Responses

Example Responses

{
  "data": [
    {
      "id": "whn_X01JTK7NABCDEF1234567890",
      "subscription": {
        "id": "whs_X01JTK7HABCDEF1234567890"
      },
      "eventType": "payment.sent",
      "payload": {
        "id": "pmt_X01JTK7ME0F20ZMPS1MJZ70KYC8",
        "status": "SENT"
      },
      "targetUrl": "https://example.com/webhooks/flowbrite",
      "createdOn": "2025-06-01T09:05:00",
      "sentOn": "2025-06-01T09:05:01",
      "attemptCount": 1,
      "lastError": null,
      "lockedUntil": null,
      "relatedEntityId": "pmt_X01JTK7ME0F20ZMPS1MJZ70KYC8",
      "relatedEntityType": "Payment",
      "clonedFromNotificationId": null
    }
  ],
  "meta": {
    "query": "eventType==\"payment.sent\"",
    "sortBy": ["createdOn:DESC"],
    "offset": 0,
    "limit": 10,
    "count": 1,
    "totalCount": 1,
    "timestamp": "2025-06-01T10:00:00Z"
  }
}

Redeliver a Notification

POST/v1/webhook-notifications/{id}/redeliver

Redeliver a failed or missed webhook notification. This endpoint requires the X-IDEMPOTENCY-KEY header.

The new notification will be a clone of the original notification, but with new metadata. It will be queued for delivery immediately.

Please refer to the Idempotency Guide for more information.

Path Parameters

  • Name
    id
    Type
    string
    Required
    Type
    Description

    The unique ID of the webhook notification.

Request

POST
/v1/webhook-notifications/{id}/redeliver
  curl -X POST https://api.flowbrite.io/v1/webhook-notifications/{id}/redeliver \
  -H "X-API-KEY: {api_key}" \
  -H "X-IDEMPOTENCY-KEY: {idempotency_key}"

Responses

Example Responses

{
  "data": {
    "id": "whn_X01JTK7NABCDEFGH1234567890",
    "subscription": {
      "id": "whs_X01JTK7HABCDEF1234567890"
    },
    "eventType": "payment.sent",
    "payload": {
      "id": "pmt_X01JTK7ME0F20ZMPS1MJZ70KYC8",
      "status": "SENT"
    },
    "targetUrl": "https://example.com/webhooks/flowbrite",
    "createdOn": "2025-06-01T10:05:00",
    "sentOn": null,
    "attemptCount": 0,
    "lastError": null,
    "lockedUntil": null,
    "relatedEntityId": "pmt_X01JTK7ME0F20ZMPS1MJZ70KYC8",
    "relatedEntityType": "Payment",
    "clonedFromNotificationId": "whn_X01JTK7NABCDEF1234567890"
  }
}